## pgadmin3 1.4.3

=== xtra/admin/Makefile ===
subdir = contrib/admin
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULE_big = admin
PG_CPPFLAGS = -I$(libpq_srcdir)
DATA_built = admin.sql
DOCS = README.admin
OBJS = genfile.o misc.o

include $(top_srcdir)/contrib/contrib-global.mk

## pgadmin3 1.8.2

=== xtra/admin/Makefile ===
MODULE_big = admin
PG_CPPFLAGS = -I$(libpq_srcdir)
DATA_built = admin.sql
DOCS = README.admin
OBJS = genfile.o misc.o

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/admin81
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== xtra/admin81/Makefile ===
MODULE_big = admin81
PG_CPPFLAGS = -I$(libpq_srcdir)
DATA_built = admin81.sql
DOCS = README.admin81
OBJS = admin81.o

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/admin81
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## pgadmin3 1.16.1

=== debian/changelog ===
pgadmin3 (1.16.1-2) unstable; urgency=low

  * plugins.d/plugins.ini: Use x-terminal-emulator.
  * Build-Depend on python-sphinx so the documentation is built, thanks to
    Nelson A. de Oliveira and Steve Fox for spotting. (closes: #695381)
  * Rewrite manpage in pod with the supported options. (closes: #704670)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Jun 2013 10:58:17 +0200

pgadmin3 (1.16.1-1) experimental; urgency=low

  * New upstream release.
  * debian/source/options: Ignore build time changes on
    pgadmin/include/svnversion.h and xtra/png2c/Makefile.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Dec 2012 13:10:17 +0100

pgadmin3 (1.16.0-1) experimental; urgency=low

  * New upstream release supporting PostgreSQL 9.2 (closes: #692825).
  * Update watch file.
  * Update Vcs URLs (closes: #677024)
  * Use 3.0 (quilt) format.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Dec 2012 13:42:28 +0100

pgadmin3 (1.14.2-2) unstable; urgency=low

  * Using --enable-debug and B-D on libwxgtk2.8-dbg was the wrong approach,
    reverting that.  This makes it work again (closes: #676626)
  * Using -g2 for CFLAGS to make the debug symbols really appear in the -dbg
    package (closes: #676538)

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 11 Jun 2012 11:32:14 +0200

pgadmin3 (1.14.2-1) unstable; urgency=low

  * New upstream release which includes the ftbfs fix, thus removing the
    patch.
  * Bump Standards-Version to 3.9.3.
  * configure with --enable-debug, Build-Depends on libwxgtk2.8-dbg
    (closes: #652099)

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 29 May 2012 10:02:27 +0200

pgadmin3 (1.14.0-2) unstable; urgency=low

  * Pull 41ed1ae from upstream to fix FTBFS (closes: #646454)
  * Create a pgadmin3-dbg package (closes: #647916)
  * Also install png2c, and the ini files below /usr/share/pgadmin3.

 -- Gerfried Fuchs <rhonda@debian.org>  Thu, 08 Dec 2011 09:25:27 +0100

pgadmin3 (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Removed quilt Build-Depends again and drop the patch that got incorporated
    upstream.
  * Add recommended targets build-arch and build-indep to debian/rules.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 11 Sep 2011 15:04:30 +0200

pgadmin3 (1.14.0~beta1-1) experimental; urgency=low

  * New upstream development release, adding Build-Depends on
    postgresql-server-dev-all >= 117~.
  * Add Build-Depends on quilt, (un)patch to debian/rules and patch for fixing
    the include for kwlist.h in pgadmin/db/keywords.c.
  * Add pg_config --includedir-server output to CPPFLAGS.
  * Remove unrecognized configure options: --with-wx-config,
    --with-pgsql-include, --enable-gtk2, --enable-unicode.
  * Clean up manually the files that are left behind after the broken
    distclean.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 07 Jun 2011 23:03:54 +0200

pgadmin3 (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * Bump to Standards-Version 3.9.2.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 17 Apr 2011 22:34:34 +0200

pgadmin3 (1.12.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 05 Apr 2011 07:55:32 +0200

pgadmin3 (1.12.2-1) experimental; urgency=low

  * New upstream release.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 19 Dec 2010 12:47:44 +0100

pgadmin3 (1.12.1-1) experimental; urgency=low

  * New upstream release.
  * Removed BSD file reference from copyright file, the whole text is in there
    anyway.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 27 Oct 2010 22:36:14 +0200

pgadmin3 (1.12.0-1) experimental; urgency=low

  * New upstream release candidate, containing fixes for:
    - won't use IPv6-only server (closes: #576342, LP: #374656)
    - All files should be "*", not "*." (closes: #594593)
  * Fixed watchfile to not consider -rc versions higher than non-rc
    versions (thanks to Michael Fladischer)

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 22 Sep 2010 21:07:26 +0200

pgadmin3 (1.10.5-1) unstable; urgency=low

  * New upstream release.
  * s/informations/information/ in debian/pgadmin3-data.copyright too.
  * Remove Conflicts+Replaces for ancient -data transition.
  * Bump Standards-Version to 3.9.1.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 01 Aug 2010 12:44:56 +0200

pgadmin3 (1.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 17 May 2010 18:31:40 +0200

pgadmin3 (1.10.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Fix typo: s/informations/information/g in debian/*.
  * Explicitly call set -e and don't hand -e on the hashbang line.

 -- Gerfried Fuchs <rhonda@debian.at>  Sat, 13 Mar 2010 22:03:30 +0100

pgadmin3 (1.10.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4.
  * Add ${misc:Depends} to all Depends.
  * Drop GNOME and System categories from desktop file.
  * Add pgadmin3.svg image for better freedesktop menu icon.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 12 Feb 2010 22:23:01 +0100

pgadmin3 (1.10.1-1) unstable; urgency=low

  * New upstream release, containing fix for:
    - default value in function parameters not shown (closes: #547940)
    - cannot open files without dot in names for restore (closes: #451038)
  * Suggest postgresql-contrib (closes: #503291)
  * Set myself as Maintainer and remove Raphael. Thanks for his work so far.
  * Switch Uploaders and Maintainer role to better describe reality.
  * Bump to Standards-Version to 3.8.3.
  * Update to debhelper level 7, use dh_prep instead of dh_clean -k.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 17 Dec 2009 20:34:00 +0100

pgadmin3 (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Adjusted watch file to match release candidates.
  * Updated to Standards-Version 3.8.2:
    - Moved to Section: database.
    - Add DEB_BUILD_OPTIONS support for parallel building.
    - Move from findstring to filter suggestion for DEB_BUILD_OPTIONS parsing.


=== debian/control ===
Source: pgadmin3
Section: database
Priority: optional
Maintainer: Gerfried Fuchs <rhonda@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libpq-dev (>= 8.1), devscripts,
  libwxgtk2.8-dev, libxml2-dev, libxslt1-dev, dpkg-dev (>= 1.13.19),
  autotools-dev, postgresql-server-dev-all (>= 117~),
# docs:
  python-sphinx,
# manpage:
  perl
Standards-Version: 3.9.4
Homepage: http://www.pgadmin.org/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgadmin3.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgadmin3.git

Package: pgadmin3
Architecture: any
Depends: ${misc:Depends}, pgadmin3-data (= ${source:Version}), ${shlibs:Depends}
Suggests: postgresql-contrib
Recommends: pgagent, postgresql-client
Description: graphical administration tool for PostgreSQL
 pgAdmin III is a database design and management application for use with 
 PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
 running on any platform.
 .
 pgAdmin III is designed to answer the needs of all users, from writing
 simple SQL queries to developing complex databases. The graphical
 interface supports all PostgreSQL features and makes administration
 easy. The application also includes a syntax highlighting SQL editor, a
 server-side code editor, an SQL/batch/shell job scheduling agent,
 support for the Slony-I replication engine and much more. Server
 connection may be made using TCP/IP or Unix Domain Sockets (on *nix
 platforms), and may be SSL encrypted for security. No additional
 drivers are required to communicate with the database server.

Package: pgadmin3-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, pgadmin3 (= ${binary:Version}), pgadmin3-data (= ${source:Version})
Suggests: postgresql-contrib
Recommends: pgagent, postgresql-client
Description: graphical administration tool for PostgreSQL (debugging symbols)
 This package contains the debugging symbols for pgadmin3.
 .
 pgAdmin III is a database design and management application for use with 
 PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
 running on any platform.

Package: pgadmin3-data
Architecture: all
Depends: ${misc:Depends}
Enhances: pgadmin3 (>= ${source:Version})
Description: graphical administration tool for PostgreSQL - documentation
 pgAdmin III is a database design and management application for use with 
 PostgreSQL.
 .
 This package contains the documentation for pgAdmin III in English language.
 This package is mandatory to get the pgAdmin III help system to run smoothly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg=pgadmin3
pkg-data=$(pkg)-data

# A hack to get it compile without errors concerning MNU_NEW
CPPFLAGS:=-I$(shell pg_config --includedir-server)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g2
CXXFLAGS = -Wall -g2

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif


# Backed out MIPS specific part of the patch from Thiemo Seufer (see #274090)
#ifneq (,$(filter mips mipsel,$(DEB_BUILD_ARCH)))
	#CFLAGS += -Wa,-xgot
	#CXXFLAGS += -Wa,-xgot
#endif

# Here goes the pgAdmin3 stuff

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-dependency-tracking \
		--with-wx=/usr

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	$(MAKE)
	pod2man --center "pgAdmin III" --release "" debian/pgadmin3.pod > pgadmin3.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp pgadmin3.1

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean || true
	# not cleaned up because of distclean b0rkage
	rm -f Makefile config.log stamp-h1 config.h
	rm -f config.status config.cache config.guess config.sub

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/pgadmin3.
	# Finally install all in debian/tmp. Files are dispatched into packages by dh_install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# move pgadmin3.mo files to locales directory
	# this part was written by Andreas Tille <tille@debian.org>
	for loc in `find debian/tmp -name $(pkg).mo` ; do \
	   LOC=`echo $${loc} | sed "s?.*pgadmin3/i18n/\(.*\)/$(pkg).mo?\1?"` ; \
	   mkdir -p debian/$(pkg-data)/usr/share/locale/$${LOC}/LC_MESSAGES ; \
	   mv $${loc} debian/$(pkg-data)/usr/share/locale/$${LOC}/LC_MESSAGES/. ; \
	done
	
	# moved dh_install here as it is common to indep and arch
	# by being there dh_install can warn about forgotten files as it is
	# acting on both pgadmin3 and pgadmin3-data packages. (RE)
	# (note that we could also use --fail-missing instead of --list-mising)
	dh_install --list-missing -XDocs.vcproj


# binary-arch/binary-indep
# in another 'make' thread.
spec-binary-indep:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_link
	dh_strip --dbg-package=pgadmin3-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
spec-binary-arch:
	dh_testdir
	dh_testroot
	ln -s pgadmin3-data debian/pgadmin3/usr/share/doc/pgadmin3
	ln -s pgadmin3-data debian/pgadmin3-dbg/usr/share/doc/pgadmin3-dbg
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_link
	dh_strip --dbg-package=pgadmin3-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i spec-binary-indep

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a spec-binary-arch

binary: binary-indep binary-arch
.PHONY: build clean orig binary-indep binary-arch binary install

## pgadmin3 1.18.1

=== debian/changelog ===
pgadmin3 (1.18.1-3) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch no-wx-webview).  Closes: #749140.

  [ Christoph Berg ]
  * Retain backportability to distributions with wx 2.8.
  * Taking over package from Gerfried, thanks!

 -- Christoph Berg <myon@debian.org>  Sun, 25 May 2014 23:29:16 +0200

pgadmin3 (1.18.1-2) unstable; urgency=low

  * Move config.{sub,guess} update code from build to configure so the files
    get actually used. Closes: #727492.

 -- Christoph Berg <myon@debian.org>  Tue, 21 Jan 2014 17:18:51 +0100

pgadmin3 (1.18.1-1) unstable; urgency=low

  * New upstream release.
  * debian/source/lintian-overrides: Suppress no-debian-copyright, the correct
    file is debian/pgadmin3-data.copyright.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Oct 2013 15:31:16 +0200

pgadmin3 (1.18.0-1) unstable; urgency=low

  * New upstream release.
  * Don't install /usr/bin/png2c anymore.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2013 16:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pgadmin3
 Section: database
 Priority: optional
-Maintainer: Gerfried Fuchs <rhonda@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7), libpq-dev (>= 8.1), devscripts,
-  libwxgtk2.8-dev, libxml2-dev, libxslt1-dev, dpkg-dev (>= 1.13.19),
+  libwxgtk3.0-dev | libwxgtk2.8-dev,
+  libxml2-dev, libxslt1-dev, dpkg-dev (>= 1.13.19),
   autotools-dev, postgresql-server-dev-all (>= 117~),
 # docs:
   python-sphinx,
 # manpage:
   perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.pgadmin.org/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgadmin3.git
 Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgadmin3.git

=== debian/rules ===
--- 
+++ 
@@ -48,13 +48,16 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
+	cp -f /usr/share/misc/config.sub config.sub
+	cp -f /usr/share/misc/config.guess config.guess
 	CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--disable-dependency-tracking \
-		--with-wx=/usr
+		--with-wx=/usr \
+		--with-wx-version=$(shell wx-config --release)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -64,8 +67,6 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cp -f /usr/share/misc/config.sub config.sub
-	cp -f /usr/share/misc/config.guess config.guess
 	$(MAKE)
 	pod2man --center "pgAdmin III" --release "" debian/pgadmin3.pod > pgadmin3.1

## pgadmin3 1.20.0~beta2

=== debian/changelog ===
pgadmin3 (1.20.0~beta2-1) unstable; urgency=medium

  * New upstream release.
  * Use /bin/bash in pgadmin/ui/embed-xrc.
  * Use /usr/share/dpkg/buildflags.mk.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Oct 2014 12:42:50 +0200

pgadmin3 (1.20.0~beta1-1) unstable; urgency=medium

  * New upstream release.
  * Convert to dh 9 and dh-autoreconf.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Sep 2014 22:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 7), libpq-dev (>= 8.1), devscripts,
+Build-Depends: debhelper (>= 9), dh-autoreconf,
+  libpq-dev (>= 8.1), devscripts,
   libwxgtk3.0-dev | libwxgtk2.8-dev,
   libxml2-dev, libxslt1-dev, dpkg-dev (>= 1.13.19),
-  autotools-dev, postgresql-server-dev-all (>= 117~),
+  postgresql-server-dev-all (>= 117~),
+  chrpath,
 # docs:
   python-sphinx,
 # manpage:
   perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.pgadmin.org/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgadmin3.git
 Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgadmin3.git

=== debian/rules ===
#!/usr/bin/make -f

pkg=pgadmin3
pkg-data=$(pkg)-data

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-dependency-tracking \
		--with-wx=/usr \
		--with-wx-version=$(shell wx-config --release)

override_dh_auto_build:
	$(MAKE) CFLAGS+="-g" CXXFLAGS+="-g"
	pod2man --center "pgAdmin III" --release "" debian/pgadmin3.pod > pgadmin3.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f build-stamp pgadmin3.1

override_dh_install:
	ln -s pgadmin3-data debian/pgadmin3/usr/share/doc/pgadmin3
	ln -s pgadmin3-data debian/pgadmin3-dbg/usr/share/doc/pgadmin3-dbg
	# move pgadmin3.mo files to locales directory
	# this part was written by Andreas Tille <tille@debian.org>
	for loc in `find debian/tmp -name $(pkg).mo` ; do \
	   LOC=`echo $${loc} | sed "s?.*pgadmin3/i18n/\(.*\)/$(pkg).mo?\1?"` ; \
	   mkdir -p debian/$(pkg-data)/usr/share/locale/$${LOC}/LC_MESSAGES ; \
	   mv $${loc} debian/$(pkg-data)/usr/share/locale/$${LOC}/LC_MESSAGES/. ; \
	done
	
	dh_install --fail-missing -XDocs.vcproj

override_dh_strip:
	chrpath -d debian/$(pkg)/usr/bin/pgadmin3
	dh_strip --dbg-package=pgadmin3-dbg

%:
	dh $@ --with autoreconf

## pgadmin3 1.22.0

=== debian/changelog ===
pgadmin3 (1.22.0-1) unstable; urgency=medium

  * New upstream version with 9.5 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Jan 2016 13:03:28 +0100

pgadmin3 (1.20.0-3) unstable; urgency=medium

  * Fix binary-indep builds.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Sep 2015 21:33:59 +0200

pgadmin3 (1.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 02 Sep 2015 17:43:17 +0200

pgadmin3 (1.20.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Jan 2015 21:31:36 +0100

pgadmin3 (1.20.0~rc1-1) experimental; urgency=medium

  * Fix Vcs-Browser URL.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 28 Nov 2014 09:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.pgadmin.org/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgadmin3.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgadmin3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgadmin3.git/
 
 Package: pgadmin3
 Architecture: any

=== debian/watch ===
version=3
opts="uversionmangle=s|-rc|~rc|;s|-beta|~beta|" \
http://ftp.postgresql.org/pub/pgadmin3/release/v(.*)/src/pgadmin3-(.*).tar.gz

## pgadmin3 1.22.1

=== debian/changelog ===
pgadmin3 (1.22.1-1) unstable; urgency=low

  * New upstream version.
  * Remove embedded copy of JavaScript.
    + pgadmin3-data depends now on libjs-jquery and libjs-underscore.
  * Add me as co-maintainer (Closes:#757770).
  * Add patch information headers.
  * Remove all old lintian overrides.
  * Add a machine readable copyright file and remove the old one.
  * Remove .menu file. Debian Menu System use .desktop file now.
  * Add a keywords entry in .desktop file.
  * Remove embed-xrc patch.

 -- Denis Briand <debian@denis-briand.fr>  Wed, 23 Mar 2016 01:33:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>, Denis Briand <debian@denis-briand.fr>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   libpq-dev (>= 8.1), devscripts,
   libwxgtk3.0-dev | libwxgtk2.8-dev,
@@ -24,7 +24,7 @@
 Suggests: postgresql-contrib
 Recommends: pgagent, postgresql-client
 Description: graphical administration tool for PostgreSQL
- pgAdmin III is a database design and management application for use with 
+ pgAdmin III is a database design and management application for use with
  PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
  running on any platform.
  .
@@ -48,16 +48,16 @@
 Description: graphical administration tool for PostgreSQL (debugging symbols)
  This package contains the debugging symbols for pgadmin3.
  .
- pgAdmin III is a database design and management application for use with 
+ pgAdmin III is a database design and management application for use with
  PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
  running on any platform.
 
 Package: pgadmin3-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Enhances: pgadmin3 (>= ${source:Version})
 Description: graphical administration tool for PostgreSQL - documentation
- pgAdmin III is a database design and management application for use with 
+ pgAdmin III is a database design and management application for use with
  PostgreSQL.
  .
  This package contains the documentation for pgAdmin III in English language.

## pgadmin3 1.22.2

=== debian/changelog ===
pgadmin3 (1.22.2-4) unstable; urgency=medium

  * Move packaging repository to salsa.debian.org
  * pgadmin/include/pgAdmin3.h: Don't check for maximally supported PG
    version.
  * Support PG 10: Replace various occurrences of "xlog" by "wal" and
    "location" by "lsn". Patch by Bernhard Rieder and Christoph Berg.
    (Closes: #878295, #888421)

 -- Christoph Berg <myon@debian.org>  Sun, 11 Feb 2018 20:50:47 +0100

pgadmin3 (1.22.2-3) unstable; urgency=medium

  * Move chrpath to override_dh_install-arch.

 -- Christoph Berg <myon@debian.org>  Sat, 02 Dec 2017 21:21:10 +0100

pgadmin3 (1.22.2-2) unstable; urgency=low

  [ Denis Briand ]
  * Update upstream repository path in debian/watch.
  * Bump standards version to 4.1.1
  * Use libgcrypt to fix FTBFS with openssl 1.1.0, many thanks to Cyril
    Brulebois for the analysis (Closes: #859550).

  [ Christoph Berg ]
  * Remove explicit pgadmin3-dbg package (but leave code in place for
    backports).
  * Use python3-sphinx for documentation.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Nov 2017 20:25:53 +0100

pgadmin3 (1.22.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 15 Nov 2016 10:39:41 +0100

pgadmin3 (1.22.1-3) unstable; urgency=high

  * Fix segfault on startup, thanks to Bernhard Rieder for the patch!
    (Closes: #843344)

 -- Christoph Berg <myon@debian.org>  Wed, 09 Nov 2016 22:47:57 +0100

pgadmin3 (1.22.1-2) unstable; urgency=medium

  * Team upload.
  * Switch to libssl1.0-dev. (Closes: #828495)
  * Bump maximum supported version to 9.6.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 03 Nov 2016 16:43:12 +0100

=== debian/control ===
Source: pgadmin3
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Denis Briand <debian@denis-briand.fr>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libpq-dev (>= 8.1),
               libssl-dev,
               libgcrypt-dev,
               devscripts,
               libwxgtk3.0-dev | libwxgtk2.8-dev,
               libxml2-dev,
               libxslt1-dev,
               dpkg-dev (>= 1.13.19),
               postgresql-server-dev-all (>= 117~),
               chrpath,
# docs:
               python3-sphinx,
# manpage:
               perl
Standards-Version: 4.1.3
Homepage: http://www.pgadmin.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgadmin3.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgadmin3

Package: pgadmin3
Architecture: any
Depends: ${misc:Depends}, pgadmin3-data (= ${source:Version}), ${shlibs:Depends}
Suggests: postgresql-contrib
Recommends: pgagent, postgresql-client
Description: graphical administration tool for PostgreSQL
 pgAdmin III is a database design and management application for use with
 PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
 and has been tested with PostgreSQL 10.
 .
 pgAdmin III is designed to answer the needs of all users, from writing
 simple SQL queries to developing complex databases. The graphical
 interface supports all PostgreSQL features and makes administration
 easy. The application also includes a syntax highlighting SQL editor, a
 server-side code editor, an SQL/batch/shell job scheduling agent,
 support for the Slony-I replication engine and much more. Server
 connection may be made using TCP/IP or Unix Domain Sockets (on *nix
 platforms), and may be SSL encrypted for security. No additional
 drivers are required to communicate with the database server.

#dbg#Package: pgadmin3-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Priority: extra
#dbg#Depends: ${misc:Depends}, pgadmin3 (= ${binary:Version}), pgadmin3-data (= ${source:Version})
#dbg#Suggests: postgresql-contrib
#dbg#Recommends: pgagent, postgresql-client
#dbg#Description: graphical administration tool for PostgreSQL (debugging symbols)
#dbg# This package contains the debugging symbols for pgadmin3.
#dbg# .
#dbg# pgAdmin III is a database design and management application for use with
#dbg# PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above
#dbg# running on any platform.

Package: pgadmin3-data
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Enhances: pgadmin3 (>= ${source:Version})
Description: graphical administration tool for PostgreSQL - documentation
 pgAdmin III is a database design and management application for use with
 PostgreSQL.
 .
 This package contains the documentation for pgAdmin III in English language.
 This package is mandatory to get the pgAdmin III help system to run smoothly.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-dependency-tracking \
		--with-wx=/usr \
		--with-wx-version=$(shell wx-config --release) \
		--with-libgcrypt \
		--without-openssl

override_dh_auto_build:
	$(MAKE) CFLAGS+="-g" CXXFLAGS+="-g"
	pod2man --center "pgAdmin III" --release "" debian/pgadmin3.pod > pgadmin3.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f build-stamp pgadmin3.1

override_dh_install-arch:
	ln -s pgadmin3-data debian/pgadmin3/usr/share/doc/pgadmin3
#dbg#	ln -s pgadmin3-data debian/pgadmin3-dbg/usr/share/doc/pgadmin3-dbg
	dh_install -a --fail-missing
	chrpath -d debian/pgadmin3/usr/bin/pgadmin3

override_dh_install-indep:
	# move pgadmin3.mo files to locales directory
	# this part was written by Andreas Tille <tille@debian.org>
	set -e; for loc in `find debian/tmp -name pgadmin3.mo` ; do \
	   LOC=`echo $${loc} | sed "s?.*pgadmin3/i18n/\(.*\)/pgadmin3.mo?\1?"` ; \
	   mkdir -p debian/pgadmin3-data/usr/share/locale/$${LOC}/LC_MESSAGES ; \
	   mv $${loc} debian/pgadmin3-data/usr/share/locale/$${LOC}/LC_MESSAGES/. ; \
	done
	dh_install -i --fail-missing

#dbg#override_dh_strip:
#dbg#	dh_strip --dbg-package=pgadmin3-dbg

%:
	dh $@ --with autoreconf --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s|-rc|~rc|;s|-beta|~beta|" \
http://ftp.postgresql.org/pub/pgadmin/pgadmin3/v(.*)/src/pgadmin3-(.*).tar.gz
